import { geoPath, geoConicConformal, geoAlbersUsa, geoAlbers } from 'd3';

const projection = geoAlbersUsa();
const path = geoPath(projection);

export const Marks = ({ USGeo, sizeScale, sizeValue, data }) => {
  projection.fitExtent([[0,0],[960,500]], USGeo);
  console.log(USGeo);
  return (
   
    <g className="marks">
      {USGeo.features.map(feature => (
        <path d={path(feature)} />
      ))}
      { data.map(d => { 
        
        if (d.longitude!==0) {
          // console.log(projection([d.longitude, d.latitude]));
        	const [x, y] = projection([d.longitude, d.latitude]);
		        }
        return;
      })}
    </g>
  );
};
