import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/martinblatz/e7f1d853eec2cb8cafd3ffbdc068f494/raw/13c2fee25cfbf9dac9ea82a6936bbc7f8f8102d4/FatalPoliceShootings2015toPresent';
//Using another CSV data to read state lat and longitude info
export const useData = () => {
  const [data, setData] = useState(null);    
//Adding it to two dataset 
  useEffect(() => {
    const row = d => {
//     
      d["latitude"] = +d["latitude"];
      d["longitude"] = +d["longitude"];
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  // console.log(data);
  return data;
};